
%define toolbox_release 2
%define aix_version 6.1

Name: gmp-aix
Version: 5.1.3
Release: 14
License: LGPL-3.0-or-later
URL: https://gmplib.org/
Summary: AIX Toolbox gmp compatibility libraries
BuildArch: fat

BuildRequires: cpio-gnu
BuildRequires: pase-build-tools

Source0: https://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc/gmp/gmp-%{version}-%{toolbox_release}.aix%{aix_version}.ppc.rpm

%description
AIX Toolbox gmp compatibility libraries needed by gcc-aix

%install

mkdir -p %{buildroot}/tmp
cd %{buildroot}/tmp

rpm2cpio %{SOURCE0} | cpio -idmv

mkdir -p %{buildroot}/%{_libdir}/aix
cd %{buildroot}/%{_libdir}/aix

ar -X32 x %{buildroot}/tmp/opt/freeware/lib64/libgmp.a libgmp.so.10
fix-rpath libgmp.so.10 /QOpenSys/usr/lib

ar -X32 x %{buildroot}/tmp/opt/freeware/lib64/libgmpxx.a libgmpxx.so.4
fix-rpath libgmpxx.so.4 %{_libdir}/aix:/QOpenSys/usr/lib

strip -X32_64 -e libgmp*.so*

ar -X32_64 crlo libgmp.a libgmp.so.10
ar -X32_64 crlo libgmpxx.a libgmpxx.so.4

rm libgmp.so.10 libgmpxx.so.4

cd %{buildroot}
rm -r %{buildroot}/tmp

%files
%defattr(-, qsys, *none)

%{_libdir}/aix/libgmp.a
%{_libdir}/aix/libgmpxx.a

%changelog
* Tue Mar 30 2021 Kevin Adler <kadler@us.ibm.com>
- Move AIX-style .a compat libraries to /QOpenSys/pkgs/lib/aix

* Tue Jul 28 2020 Mark Irish <mirish@ibm.com> - 5.1.3
- Correct URL to use HTTPS to avoid permanent HTTP redirect

* Fri Dec 13 2019 - Kevin Adler <kadler@us.ibm.com>
- Use SPDX license identifier

* Fri Mar 30 2018 - Kevin Adler <kadler@us.ibm.com>
- We build gmp now, so remove svr4-style repack packages
- This package is now only needed to provide 32-bit AIX compat libs for GCC

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix repacked binaries' LIBPATH so we can use automatic dependency generation
- Build all subpackages in one shot since we can now have subpackages with fat architecture

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix XCOFF dependency lines to use new square bracket format

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Merge gmp-aix-ibmi.spec in to this spec

* Fri Sep 15 2017 - Kevin Adler <kadler@us.ibm.com>
- Only package files in /opt/freeware; don't mess with /usr
- Add gmp-aix-ibmi.spec to repackage AIX binaries how we want them built

* Thu Apr 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Add spec file
